function [EXOG,ENDOG] = myanchors(this,p,range)
% getanchors  Get simulation plan anchors for bkwmodel variables.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

nper = round(range(end) - range(1) + 1);
n = length(this.name);
ny = sum(this.nametype == 1);
nx = sum(this.nametype == 2);
ne = sum(this.nametype == 3);

EXOG = false(n,nper);
ENDOG = false(n,nper);

[EXOG(1:ny,:),endogreal,endogimag] = myanchors(p,range);
ENDOG(ny+(1:nx+ne),:) = endogreal | endogimag;

end